%define module	gtkspellcheck
%define oname	py%{module}

Name:		python-%{module}
Summary:	Python GTK Spellchecker
Version:	4.0.6
Release:	%mkrel 1
License:	GPLv3+
Group:		Development/Python
Url:		http://koehlma.github.com/projects/pygtkspellcheck.html
Source0:	https://pypi.io/packages/source/p/%{oname}/%{oname}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	pkgconfig(enchant-2)

%description
A simple but quite powerful spell checking library written in pure Python
for Gtk based on Enchant.

%package -n python3-%{module}
Summary:	Python3 GTK Spellchecker
Group:		Development/Python
BuildRequires:	python3-enchant
BuildRequires:	python3-gobject3
Requires:	python3-gobject3
Requires:	iso-codes

%description -n python3-%{module}
A simple but quite powerful spell checking library written in pure Python
for Gtk based on Enchant.

%prep
%setup -q -n %{oname}-%{version}

# drop bundled egg-info
rm -rf src/pygtkspellcheck.egg-info/

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%find_lang py3gtkspellcheck

%files -n python3-%{module} -f py3gtkspellcheck.lang
%doc README.rst
%{python3_sitelib}/%{module}/
%{python3_sitelib}/pylocales/
%{python3_sitelib}/%{oname}-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Mar 14 2022 TerryN <terryn94 at gmail.com> 4.0.6-1pclos2022
- update and rebuild for python 3.10

* Sun Mar 10 2019 tex 4.0.5-1pclos2019
- new for rednotebook
